Subject: [dhcwg] I-D ACTION:draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt

From: [email-masked]
Date: Thu, 10 Aug 2006 15:50:01 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration Working Group of the IETF.

	Title		: DHCPv6 Relay Agent Assignment Notification (RAAN) Option
	Author(s)	: R. Droms, et al.
	Filename	: draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt
	Pages		: 8
	Date		: 2006-8-10
	
The DHCP Relay Agent Assignment Notification (RAAN) option is sent
from a DHCP server to a DHCP relay agent to inform the relay agent of
IPv6 addresses that have been assigned or IPv6 prefixes that have
been delegated to DHCP clients.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Amy <[email-masked]>
Date: Fri, 11 Aug 2006 10:51:41 +0800

Hi

I have some question:
 
In section 3, the second paragraph:
"The DHCP server MAY include this option in a Reply message sent to a
   client that includes assigned addresses and/or prefixes.  If the DHCP
   server does include this option in a Reply message, it MUST include
   it in the option area of the Relay-reply message sent to the relay
   agent intended as the recipient of the option."

1) "The DHCP server MAY include this option in a Reply message ...." .
------ Why?  To minimize the DHCP packet size(it's the reason I guess), or
other reasons? 
2) "If the DHCP server does inclue this option in a Reply messge, it MUST
include...". ---------- So, there is more than one RAAN options in a
Relay-reply message. Is the RAAN option included in a Reply message useful?
Or it should be "does not" ?
3) If DHCP client receives a reply message containing a RAAN option, how
does the DHCP client handle the RAAN option? ignore?
4) If DHCP server receives a relay-forw message requesting RAAN, when it
answers, should it insert the RAAN option into the reply message or the
relay-reply message?
 
Two editing nits 
1)in Section 5:
 The last sentence ".......by setting a shorter valid-lifetime in the this
option",  should change "in the this option" to "in the corresponding
option"?
2)In Section 3:
The first sentence "The RAANn option carries information about.....",
should change "RAANn" to "RAAN"?

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Friday, August 11, 2006 3:50 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [dhcwg] I-D 
> ACTION:draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt
> 
> The DHCP Relay Agent Assignment Notification (RAAN) option is 
> sent from a DHCP server to a DHCP relay agent to inform the 
> relay agent of
> IPv6 addresses that have been assigned or IPv6 prefixes that 
> have been delegated to DHCP clients.
> 
> To remove yourself from the I-D Announcement list, send a 
> message to [email-masked] with the word 
> unsubscribe in the body of the message.  
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username "anonymous" and a password of your e-mail 
> address. After logging in, type "cd internet-drafts" and then
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> 	"FILE 
> /internet-drafts/draft-ietf-dhc-dhcpv6-agentopt-delegate-01.txt".
>